Get a definition
Returns one tenant-owned Definition under definitions:read with explicitly requested options or usage. It is side-effect free and safe to retry.
curl --request GET \
--url https://api.getarbol.com/v1/definitions/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getarbol.com/v1/definitions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.getarbol.com/v1/definitions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"agentIds": [
"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"
],
"createdAt": "2026-08-29T14:30:00Z",
"description": "<string>",
"id": "agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31",
"identifier": "<string>",
"kind": "attribute",
"prompt": "<string>",
"revision": 123,
"status": "active",
"subjectKind": "contact",
"unitCode": "<string>",
"updatedAt": "2026-08-29T14:30:00Z",
"valueType": "option",
"options": [
{
"description": "<string>",
"key": "<string>",
"label": "<string>",
"sortOrder": 500,
"id": "agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31",
"status": "active"
}
],
"usage": {
"factCount": 4503599627370495,
"lastObservedAt": "2026-08-29T14:30:00Z",
"subjectCount": 4503599627370495
}
}{
"defined": true,
"inferable": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "<string>",
"data": {
"issues": [
{
"code": "custom",
"message": "<string>",
"path": [
"<string>"
]
}
],
"truncated": true
}
}{
"defined": true,
"inferable": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "<string>",
"data": "<unknown>"
}{
"defined": true,
"inferable": true,
"code": "FORBIDDEN",
"status": 403,
"message": "<string>",
"data": {
"missingPermissions": [
"agents:read"
]
}
}{
"defined": true,
"inferable": true,
"code": "NOT_FOUND",
"status": 404,
"message": "<string>",
"data": "<unknown>"
}Authorizations
Organization-scoped Auth0 user access token issued to an approved first-party client or exchanged by a trusted OBO resource server.
Path Parameters
Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.
64^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"
Query Parameters
2options, usage Response
OK
50Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.
64^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$ISO 8601 timestamp with an explicit UTC offset.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$"2026-08-29T14:30:00Z"
2000Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.
64^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"
1 - 100Semantic class of an organization-owned Definition.
attribute, assessment, category, metric "attribute"
4000x <= 9007199254740991Lifecycle state of an organization-owned Definition.
draft, active, retired "active"
Resource type to which a Definition may be asserted.
contact, conversation "contact"
40ISO 8601 timestamp with an explicit UTC offset.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$"2026-08-29T14:30:00Z"
Validated value representation accepted by a Definition.
text, number, boolean, date, option "option"
100Show child attributes
Show child attributes
Fact volume recorded under a Definition, with the most recent observation.
Show child attributes
Show child attributes
curl --request GET \
--url https://api.getarbol.com/v1/definitions/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getarbol.com/v1/definitions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.getarbol.com/v1/definitions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"agentIds": [
"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"
],
"createdAt": "2026-08-29T14:30:00Z",
"description": "<string>",
"id": "agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31",
"identifier": "<string>",
"kind": "attribute",
"prompt": "<string>",
"revision": 123,
"status": "active",
"subjectKind": "contact",
"unitCode": "<string>",
"updatedAt": "2026-08-29T14:30:00Z",
"valueType": "option",
"options": [
{
"description": "<string>",
"key": "<string>",
"label": "<string>",
"sortOrder": 500,
"id": "agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31",
"status": "active"
}
],
"usage": {
"factCount": 4503599627370495,
"lastObservedAt": "2026-08-29T14:30:00Z",
"subjectCount": 4503599627370495
}
}{
"defined": true,
"inferable": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "<string>",
"data": {
"issues": [
{
"code": "custom",
"message": "<string>",
"path": [
"<string>"
]
}
],
"truncated": true
}
}{
"defined": true,
"inferable": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "<string>",
"data": "<unknown>"
}{
"defined": true,
"inferable": true,
"code": "FORBIDDEN",
"status": 403,
"message": "<string>",
"data": {
"missingPermissions": [
"agents:read"
]
}
}{
"defined": true,
"inferable": true,
"code": "NOT_FOUND",
"status": 404,
"message": "<string>",
"data": "<unknown>"
}